Subject: `guix pull` gets stuck at "updating substitutes from 'https://mirror.hydra.gnu.org'... 100.0%"

From: Mekeor Melire <[email-masked]>
Date: Sun, 18 Jun 2017 15:21:35 +0200

Hello Guix!

Yesterday, I installed GuixSD on yet another device. (I did `guix pull`
before `guix system init ...`, so I guess I installed the latest version
from the master-branch of the Guix' Git-repository on the system.)

After rebooting, I ran `guix pull` (as root) but it didn't stop printing

    substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%

even after letting it run over night for like 8 hours.

I asked for help on #guix@freenode and rekado confirmed my issue:

    <rekado_> mekeor: I see the same with master
    <rekado_> but a couple of commits back it seems fine

(And finally, assuming this bug gets fixed, I wonder if/how I will be
able to pull a working version of Guix if I only have one=this
non-functional version of Guix installed.)

--
mekeor ~ EDD3 DFFA 76F6 11C0 145F 9A99 AC85 BAD8 A2F8 C868